# pcre_free_study man page

Return to the PCRE index page.

This page is part of the PCRE HTML documentation. It was generated automatically from the original man page. If there is any nonsense in it, please consult the man page, in case the conversion went wrong.
SYNOPSIS

#include <pcre.h>

void pcre_free_study(pcre_extra *extra);

void pcre16_free_study(pcre16_extra *extra);

DESCRIPTION

This function is used to free the memory used for the data generated by a call to pcre[16]_study() when it is no longer needed. The argument must be the result of such a call.

There is a complete description of the PCRE native API in the pcreapi page and a description of the POSIX API in the pcreposix page.

Return to the PCRE index page.